package wxcarduser

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcarduser"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card_user/create wxcarduser CreateWxCardUser
//
// Create wx card user information | 创建WxCardUser
//
// Create wx card user information | 创建WxCardUser
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardUserInfo
//
// Responses:
//  200: BaseMsgResp

func CreateWxCardUserHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardUserInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcarduser.NewCreateWxCardUserLogic(r.Context(), svcCtx)
		resp, err := l.CreateWxCardUser(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
